package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultWithPagerDto;
import com.crm.rely.backend.core.dto.sys.SysSalesLoginDto;
import com.crm.rely.backend.core.entity.sys.SysSalesLoginAddEntity;
import com.crm.rely.backend.core.entity.sys.SysSalesLoginSearchListEntity;
import com.crm.rely.backend.core.entity.sys.SysSalesLoginUpdateEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface SysSalesLoginService {

    void add(SysSalesLoginAddEntity entity) throws ServiceException;

    void addFromUserInfo(SysSalesLoginAddEntity entity) throws ServiceException;

    void update(SysSalesLoginUpdateEntity entity) throws ServiceException;

    void delete(Long id) throws ServiceException;

    SysSalesLoginDto searchSingle(Long id) throws ServiceException;

    BaseResultWithPagerDto<List<SysSalesLoginDto>> searchList(SysSalesLoginSearchListEntity entity) throws ServiceException;

}
